PatternMatch (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphmatching

## Class PatternMatch

- java.lang.Object
- - org.neo4j.graphmatching.PatternMatch

- Deprecated.

      @Deprecated
      public class PatternMatch
      extends Object

  Represents one match found by the `PatternMatcher`. The match is itself a graph which looks like the pattern fed to the `PatternMatcher`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<PatternElement>` | `getElements()` Deprecated. Get the matched elements in this match.
    `Node` | `getNodeFor(PatternNode node)` Deprecated.
    `Relationship` | `getRelationshipFor(PatternRelationship rel)` Deprecated.
    `static PatternMatch` | `merge(Iterable<PatternMatch> matches)` Deprecated. Used to merge two matches.
    `static PatternMatch` | `merge(PatternMatch... matches)` Deprecated. Used to merge matches.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNodeFor

          public Node getNodeFor(PatternNode node)

      Deprecated.
      Parameters:
        `node` - the `PatternNode` to get the `Node` for.
      Returns:
        the actual `Node` for this particular match, represented by `node` in the pattern

    - #### getRelationshipFor

          public Relationship getRelationshipFor(PatternRelationship rel)

      Deprecated.
      Parameters:
        `rel` - the `PatternRelationship` to get the `Relationship` for.
      Returns:
        the actual `Relationship` for this particular match, represented by `rel` in the pattern

    - #### getElements

          public Iterable<PatternElement> getElements()

      Deprecated.
      Get the matched elements in this match.
      Returns:
        an iterable over the matched elements in this match instance.

    - #### merge

          public static PatternMatch merge(Iterable<PatternMatch> matches)

      Deprecated.
      Used to merge two matches. An example is to merge in an "optional" subgraph match into a match.
      Parameters:
        `matches` - the matches to merge together.
      Returns:
        the merged matches as one match.

    - #### merge

          public static PatternMatch merge(PatternMatch... matches)

      Deprecated.
      Used to merge matches. An example is to merge in an "optional" subgraph match into a match.
      Parameters:
        `matches` - the matches to merge together.
      Returns:
        the merged matches as one match.

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.